/* Animação da Logo */
.logo-effect {
  display: flex;
  align-items: center;
  color: white;
}

.logo-effect a {
  font-size: 1.5em;
}

.logo-effect .logo-icon i.bi-globe2::before {
  font-size: 2.5em;
}

.logo-icon i.bi-globe2::before {
  content: "\f3ef";
  cursor: pointer;
  display: block;
  font-size: 8em;
  color: purple;
  filter: drop-shadow(0 0.1rem 0.8rem black);
  animation: spin 3s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg)
  }
}


/* Animação de digitação */
.writing {
  position: absolute;
  top: 40vh;
  display: flex;
}

.writing p {
  margin: 0 5rem;
  padding: 0.5rem;
  color: white;
  overflow: hidden;
  border-right: 0.5rem solid purple;
  white-space: nowrap;
  text-transform: uppercase;
  font-size: 1.2rem;
  font-weight: 800;
  letter-spacing: 0.1rem;
  text-shadow: 0.1rem 0.3rem 0.2rem black;
  animation: digitando 4s steps(30, end) infinite,
  blink-animation 0.5s step-end infinite;
}

@keyframes digitando {
  from {
    width: 0
  }
  to {
    width: 100%
  }
}

@keyframes blink-animation {
  from, to {
    border-color: transparent
  }
  50% {
    border-color: purple
  }
}


/* Animação para menu (versão mobile) */
.nav-menu.active {
  transform: translateX(0)
}

@keyframes navLinkFade {
  from {
    opacity: 0;
    transform: translateX(50px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.mobile-menu.active :nth-child(1) {
  transform: rotate(-45deg) translate(-4px, 8px);
}

.mobile-menu.active :nth-child(2) {
  opacity: 0;
}

.mobile-menu.active :nth-child(3) {
  transform: rotate(45deg) translate(-5px, -7px);
}


/* Animação para os Slides da sessão 'Quem somos nós' */
@keyframes anima {
  0% {
    left: 0;
  }
  20% {
    left: 0;
  }
  25% {
    left: -100%;
  }
  45% {
    left: -100%;
  }
  50% {
    left: -200%;
  }
  70% {
    left: -200%;
  }
  75% {
    left: -300%;
  }
  95% {
    left: -300%;
  }
  100% {
    left: -300%;
  }
}


/* Animação de rotação de carta para a sessão de 'Clientes' */
.rotating-card {
  width: 300px;
  height: 300px;
  perspective: 1000px;
  background: transparent;
  margin: 2rem;
}

.front-rotating-card img {
  width: 300px;
  height: 300px;
  background-size: cover;
  border-radius: 0.5rem;
}

.rotating-card-inside {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 1s;
  transform-style: preserve-3d;
}

.rotating-card:hover .rotating-card-inside {
  transform: rotateY(180deg);
}

.front-rotating-card, .rotating-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  box-shadow: 0.1rem 0.5rem 1rem black;
}

.front-rotating-card {
  background: #461f7c;
  color: #fff;
  border-radius: 1rem;
}

.rotating-card-back {
  background: #461f7c;
  color: white;
  transform: rotateY(180deg);
  border-radius: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
}